\name{quitSaveDefault-package}
\alias{quitSaveDefault-package}
\alias{quit.save.default}
\docType{package}
\title{Default Quit Save Action}
\description{
Allows the action taken by \code{quit(save="default")} to be queried and changed.  
People who don't like poluting their shell with aliases may wish to add \code{quit.save.default("no")} to their \file{.Rprofile}.  
Yes, this is clearly excessive, but hopefully someone will add an option to \R or something.
}
\details{
\tabular{ll}{
Package: \tab quitSaveDefault\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2009-08-10\cr
License: \tab BSD\cr
}
When the package loads, it will automatically call \code{quit.save.default(getOption("quit.save.default"))} if that option is set.
}
\usage{
quit.save.default(value = NULL)
}
\arguments{
\item{value}{the (character) default save action as passed to \code{\link{quit}}, one of \code{"no"}, \code{"yes"}, or \code{"ask"}.  \code{NULL} (the default) means not to change it.}
}
\value{
\code{quit.save.default} returns the current default save action.
}
\author{Dylan Simon <dylan@dylex.net>}
\keyword{package}
\keyword{environment}
\seealso{\code{\link{quit}}.}
\examples{
## Example ~/.Rprofile
options(defaultPackages = c(getOption("defaultPackages"), "quitSaveDefault"),
	quit.save.default="no")

# restore the default:
quit.save.default("ask")
}
