#include <Rinternals.h>
#include <R_ext/Rdynload.h>
#include <string.h>
#include <R_ext/RStartup.h>

extern SA_TYPE SaveAction;

static SEXP RsetSaveAction(SEXP sx)
{
	const char *s;
	SEXP rx;

	if (!isNull(sx))
	{
		s = isString(sx) ? CHAR(STRING_ELT(sx, 0)) : "";
		if (!strcmp(s, "no")) SaveAction = SA_NOSAVE;
		else if (!strcmp(s, "yes")) SaveAction = SA_SAVE;
		else if (!strcmp(s, "ask")) SaveAction = SA_SAVEASK;
		else if (!strcmp(s, "suicide")) SaveAction = SA_SUICIDE;
		else error("one of \"yes\", \"no\", or \"ask\" expected.");
	}

	switch (SaveAction)
	{
		case SA_NOSAVE: return mkString("no");
		case SA_SAVE: return mkString("yes");
		case SA_SAVEASK: return mkString("ask");
		case SA_SUICIDE: return mkString("suicide");
		default: return R_NilValue;
	}
}

static const R_CallMethodDef callMethods[] = 
	{ { ".C.quit.save.default", (DL_FUNC)&RsetSaveAction, 1 },
	  { NULL, NULL, 0 }
	};


void R_init_quitSaveDefault(DllInfo *info)
{
	R_registerRoutines(info, NULL, callMethods, NULL, NULL);
	R_useDynamicSymbols(info, FALSE);
}

void R_unload_quitSaveDefault(DllInfo *info)
{
}
